package rozwiazania_zadan.r1.z06_zgadywanka;

import java.util.Random;
import java.util.Scanner;

public class Mnozenie_v2 {

	public static void main(String[] args) {
		final int LIMIT = 10;
		
		@SuppressWarnings("resource")
		Scanner sc = new Scanner(System.in);
		
		Random r = new Random();
		final int x = r.nextInt(LIMIT) + 1;
		final int y = r.nextInt(LIMIT) + 1;
		final int oczekiwanyWynik = x*y;
		
		int ileProb = 1;
		System.out.print("Ile to jest " + x + " × " + y + " ? ");
		int propozycja = sc.nextInt();
		while(propozycja != oczekiwanyWynik) {
			System.out.print("Źle. Spróbuj jeszcze raz: ");
			ileProb++;
			propozycja = sc.nextInt();
		}
		System.out.println();
		System.out.println("Udało ci się odgadnąć w " + ileProb + " próbie.");
	}

}
